Skip to main content
GET
/
v1
/
wpv
/
record
Sprawdzenie firmy na białej liście VAT
curl --request GET \
  --url https://api.krdata.pl/v1/wpv/record \
  --header 'x-api-key: <api-key>'
[
  {
    "identifiers": {
      "krs": "<string>",
      "nip": "<string>",
      "regon": "<string>",
      "registry_type": "<string>"
    },
    "found": true,
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "subject": {
      "name": "<string>",
      "nip": "<string>",
      "status_vat": "<string>",
      "krs": "<string>",
      "regon": "<string>",
      "pesel": "<string>",
      "working_address": "<string>",
      "residence_address": "<string>",
      "account_numbers": [
        "<string>"
      ],
      "has_virtual_accounts": false,
      "registration_legal_date": "2023-12-25",
      "registration_denial_date": "2023-12-25",
      "registration_denial_basis": "<string>",
      "restoration_date": "2023-12-25",
      "restoration_basis": "<string>",
      "removal_date": "2023-12-25",
      "removal_basis": "<string>",
      "representatives": [
        {}
      ],
      "authorized_clerks": [
        {}
      ],
      "partners": [
        {}
      ]
    },
    "request_id": "<string>",
    "request_datetime": "2023-11-07T05:31:56Z",
    "metadata": {
      "first_seen": "2023-11-07T05:31:56Z",
      "last_updated": "2023-11-07T05:31:56Z",
      "source_updated_at": "2023-11-07T05:31:56Z"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.krdata.pl/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

id
string<uuid> | null
krs
string | null
Required string length: 10
Pattern: ^\d{10}$
nip
string | null
Required string length: 10
Pattern: ^\d{10}$

Response

Successful Response

identifiers
Identifiers · object
required
found
boolean
required
id
string<uuid> | null
name
string | null
subject
WpvSubject · object
request_id
string | null
request_datetime
string<date-time> | null
metadata
Metadata · object